#ifndef __STK_FILE
#define __STK_FILE

#include "stdio.h"
#include "stdlib.h"

#include "../../../config.h"

/** Exception: Error of file */
class xFileError {};


/**  This is a class to manage file. \\
     type: Base class
 */
class Stk_File
{
public:
        /// Constructor
    Stk_File(char *filename);
        /// Destructor
    virtual ~Stk_File();

        /// Size of file (place us at begin of file)
    long Size();
    
        /// Load an int
    int LoadInt();
        /// Load a short
    short LoadShort();
        /// Load a char
    char LoadChar();
        /// Load a float
    float LoadFloat();
    
    

protected:
    FILE *fd;
private:
    int SexInt(int);
    short SexShort(short);
    float SexFloat(float);
    
};



#endif
